Color Class Editor

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Typedefs | Functions
Color Class Editor

This group provides a UI for editing color classes in applications. More...

## Typedefs
typedef char *(* | Elm_Color_Class_Name_Cb) (char *)
| A callback used to translate color class descriptions. More...
typedef Eina_List *(* | Elm_Color_Class_List_Cb) (void)
| A callback used to provide a list of allocated Edje_Color_Class structs used by an application. More...

## Functions
Evas_Object * | elm_color_class_editor_add (Evas_Object *obj)
| Create a new color class editor. More...
void | elm_color_class_translate_cb_set (Elm_Color_Class_Name_Cb cb)
| Set a callback to provide translations for color class descriptions. More...
void | elm_color_class_list_cb_set (Elm_Color_Class_List_Cb cb)
| Set a callback to provide a list of supplementary color classes. More...
Eina_List * | elm_color_class_util_edje_file_list (Eina_File *f)
| Create an allocated list of allocated Edje_Color_Class structs from an open edje file. More...

## Detailed Description

This group provides a UI for editing color classes in applications.

## Typedef Documentation

Elm_Color_Class_List_Cb

A callback used to provide a list of allocated Edje_Color_Class structs used by an application.

Since
  1.14

The list and its members will be freed internally.

Elm_Color_Class_Name_Cb

A callback used to translate color class descriptions.

Since
  1.14

## Function Documentation

Evas_Object* elm_color_class_editor_add | ( | Evas_Object * | obj | ) |

Create a new color class editor.

Parameters

  obj | The parent object

A color class editor is a visual representation of the color schemes in an application. Values changed in the editor are stored in Elementary's config and will remain until they are reset or the config is cleared. By default, the editor will load only the currently active color classes in an application.

Since
  1.14

- FIXME: translate */

References elm_button_add(), elm_colorselector_add(), ELM_COLORSELECTOR_COMPONENTS, elm_colorselector_mode_set(), elm_genlist_add(), elm_genlist_homogeneous_set(), elm_genlist_item_append(), elm_genlist_item_sorted_insert(), elm_genlist_mode_set(), elm_layout_add(), elm_layout_signal_callback_add(), elm_layout_theme_set(), elm_object_part_content_set(), elm_object_style_set(), elm_scroller_bounce_set(), ELM_SCROLLER_POLICY_OFF, and elm_scroller_policy_set().

void elm_color_class_list_cb_set | ( | Elm_Color_Class_List_Cb | cb | ) |

Set a callback to provide a list of supplementary color classes.

Parameters

  cb | The callback to use

This callback will be called globally by the application to provide extra color classes that an application may use but which may not be currently loaded.

See also
  Elm_Color_Class_List_Cb

Since
  1.14

void elm_color_class_translate_cb_set | ( | Elm_Color_Class_Name_Cb | cb | ) |

Set a callback to provide translations for color class descriptions.

Parameters

  cb | The callback to use

This callback will be called globally by the application to translate any available color class description strings from the theme's color classes.

Since
  1.14

Eina_List* elm_color_class_util_edje_file_list | ( | Eina_File * | f | ) |

Create an allocated list of allocated Edje_Color_Class structs from an open edje file.

Parameters

  f | The file to list color classes from

Returns
  The list of color classes present in the file

This is a helper function to create a list for use with Elm_Color_Class_List_Cb callbacks.

See also
  Elm_Color_Class_List_Cb

Since
  1.14